---
sidebar_position: 3
description: Get delivery cash registry and other functions to work with CDEK in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, CDEK]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get delivery cash registry
 Receives registers of imposed payments, for which the client was transferred the payment



`Function GetDeliveryCashRegistry(Val Token, Val ReceivingDate, Val TestAPI = False) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Auth token |
  | ReceivingDate | --date | Date | &#x2714; | Date for which data should be retrieved |
  | TestAPI | --testapi | Boolean | &#x2716; | Flag to use test API for requests |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from CDEK

:::tip
Method at API documentation: [Cash on delivery registry information](https://api-docs.cdek.ru/107254821.html)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Token         = "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9. ...";
    ReceivingDate = OPI_Tools.GetCurrentDate();

    Result = OPI_CDEK.GetDeliveryCashRegistry(Token, ReceivingDate, True);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint cdek GetDeliveryCashRegistry \
             --token "***" \
             --date "2025-12-10T20:08:30.4723735" \
             --testapi "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint cdek GetDeliveryCashRegistry ^
             --token "***" ^
             --date "2025-12-10T20:08:30.4723735" ^
             --testapi "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{}
```
